<?php

namespace Payroll\Allowance\Repositories\Eloquent;

use Payroll\Allowance\Interfaces\AllowanceRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class AllowanceRepository extends BaseRepository implements AllowanceRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('payroll.allowance.allowance.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('payroll.allowance.allowance.model');
    }
}
